Subject: Re: [PATCH] gnu: Add MEGA SDK

From: Jaft <[email-masked]>
Date: Sat, 18 Dec 2021 05:14:48 +0000 (UTC)

> > +    ;; XXX: Disabling tests because they depend on libgtest.la from
> > googletest,
> > +    ;; which is not installed for unclear reasons.
> > +    (arguments `(#:tests? #f))
> Unclear reasons including googletest not being present in the inputs? 
> You probably want to swap out the .la dependency for a .so dependency.

Hmm; I thought it was for the same reasons that tests had been disabled for megacmd but, taking another look at it, it seems I'm misremembering from the last time I worked on this.

It says it's failing because the MEGA_EMAIL and MEGA_PWD environment variables aren't set; from what I can tell, it uses those to test whether it can interact with a MEGA account appropriately. As that'd require requests to the internet, I'd expect the tests to fail in the end, still; is that a reasonable reason to disable them or should I try some other course of action?

> >  (define-public megacmd
> >    (package
> >      (name "megacmd")
> > @@ -222,8 +262,7 @@ (define-public megacmd
> >          (method git-fetch)
> >          (uri (git-reference
> >                (url "https://github.com/meganz/MEGAcmd")
> > -              (commit (string-append version "_Linux"))
> > -              (recursive? #t)))
> > +              (commit (string-append version "_Linux"))))
> >          (sha256
> >          (base32
> >            "004j8m3xs6slx03g2g6wzr97myl2v3zc09wxnfar5c62a625pd53"))
> > @@ -242,6 +281,7 @@ (define-public megacmd
> >        ("curl" ,curl)
> >        ("freeimage" ,freeimage)
> >        ("gtest" ,googletest)
> > +      ("mega-sdk" ,mega-sdk)
> >        ("openssl" ,openssl)
> >        ("pcre" ,pcre)
> >        ("readline" ,readline)
> Pardon me if I was unclear, but this would be done in a separate
> commit.  But thanks anyway for confirming that it'd be easily
> swappable.

Gotcha; because I'm unsure, how should I do that? Should I just attach two separate patches? Or should I open a separate ticket for the megacmd update (with its own separate patch, of course)?